import { BaseAccount, BaseAccountAmino } from "../../../cosmos/auth/v1beta1/auth";
import { BinaryReader, BinaryWriter } from "../../../binary";
import { DeepPartial } from "../../../helpers";
/**
 * EthAccount implements the authtypes.AccountI interface and embeds an
 * authtypes.BaseAccount type. It is compatible with the auth AccountKeeper.
 * @name EthAccount
 * @package injective.types.v1beta1
 * @see proto type: injective.types.v1beta1.EthAccount
 */
export interface EthAccount {
    baseAccount?: BaseAccount;
    codeHash: Uint8Array;
}
export interface EthAccountProtoMsg {
    typeUrl: "/injective.types.v1beta1.EthAccount";
    value: Uint8Array;
}
/**
 * EthAccount implements the authtypes.AccountI interface and embeds an
 * authtypes.BaseAccount type. It is compatible with the auth AccountKeeper.
 * @name EthAccountAmino
 * @package injective.types.v1beta1
 * @see proto type: injective.types.v1beta1.EthAccount
 */
export interface EthAccountAmino {
    base_account?: BaseAccountAmino;
    code_hash: string;
}
export interface EthAccountAminoMsg {
    type: "/injective.types.v1beta1.EthAccount";
    value: EthAccountAmino;
}
/**
 * EthAccount implements the authtypes.AccountI interface and embeds an
 * authtypes.BaseAccount type. It is compatible with the auth AccountKeeper.
 * @name EthAccount
 * @package injective.types.v1beta1
 * @see proto type: injective.types.v1beta1.EthAccount
 */
export declare const EthAccount: {
    typeUrl: string;
    is(o: any): o is EthAccount;
    isAmino(o: any): o is EthAccountAmino;
    encode(message: EthAccount, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): EthAccount;
    fromPartial(object: DeepPartial<EthAccount>): EthAccount;
    fromAmino(object: EthAccountAmino): EthAccount;
    toAmino(message: EthAccount): EthAccountAmino;
    fromAminoMsg(object: EthAccountAminoMsg): EthAccount;
    fromProtoMsg(message: EthAccountProtoMsg): EthAccount;
    toProto(message: EthAccount): Uint8Array;
    toProtoMsg(message: EthAccount): EthAccountProtoMsg;
    registerTypeUrl(): void;
};
